add some utility scripts and update the playbook to verify API connectitivy and image download

Change-Id: I007a2aef68f5c60a4c809cd711aff4d18d87efb9
(cherry picked from commit 2f3df26027e2d64266f3e22a736a6cb491d61468)
diff --git a/roles/compute-node/files/fabric-pingall b/roles/compute-node/files/fabric-pingall
new file mode 100755
index 0000000..d6de75c
--- /dev/null
+++ b/roles/compute-node/files/fabric-pingall
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+NODES="10.2.1.1 10.2.1.2 10.2.2.1 10.2.2.2 10.2.1.254 10.2.2.254"
+
+test -z $1 || NODES="$*"
+
+USE_LIST="br-int fabric"
+for u in $USE_LIST; do
+	ifconfig $u > /dev/null 2>&1
+	if [ $? -eq 0 ]; then
+		USE_IFACE=$u
+		break
+	fi
+done
+
+LIST="-$USE_IFACE $NODES - 8.8.8.8"
+IFACE=
+ILABEL="none"
+FROM="none"
+if [ ! -z $USE_IFACE ]; then
+	FROM=$(ifconfig $USE_IFACE | grep "inet addr" | head -1 | awk '{print $2}' | cut -d: -f2)
+fi
+
+echo "from $(hostname) ($FROM):"
+for ip in $LIST; do
+	case $ip in
+		-*)
+			if [ "$ip" == "-" ]; then
+				IFACE=
+				ILABEL="none"
+			else
+				ILABEL="$(echo $ip | sed -e 's/^-//g')"
+				IFACE="-I $ILABEL"
+			fi
+			;;
+		*)
+			printf "  %-20s%s\n" "$ip ($ILABEL)" $(ping $IFACE -c 1 $ip 2>&1 | grep "^rtt min/avg/max/mdev" | sed -e 's/.*= \([.0-9]*\).*/\1/')
+		;;
+	esac
+done